/*
 * Class WEL_FILE_NAME_HELPER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_50 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_50 [] = {0xFF01,1551,49,0xFFFF};
static const EIF_TYPE_INDEX egt_2_50 [] = {0xFF01,49,0xFFFF};
static const EIF_TYPE_INDEX egt_3_50 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_50 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_50 [] = {0xFF01,49,0xFFFF};
static const EIF_TYPE_INDEX egt_6_50 [] = {0xFF01,49,0xFFFF};
static const EIF_TYPE_INDEX egt_7_50 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_50 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_50 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_50 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_50 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_50 [] = {0xFF01,49,0xFFFF};
static const EIF_TYPE_INDEX egt_13_50 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_50[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_50), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_50), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_50), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_50), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_50), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_50), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_50), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_50), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_50), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_50), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_50), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_50), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x63 /*49*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_50), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_50), 707, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 709, 0xFFFFFFFF},
};
void Init50(void)
{
	IDSC(desc_50, 0, 49);
	IDSC(desc_50 + 1, 1, 49);
	IDSC(desc_50 + 32, 1229, 49);
}


#ifdef __cplusplus
}
#endif
